package org.underworldlabs.imagecropper;

import java.awt.BorderLayout;
import java.awt.Container;
import java.awt.KeyboardFocusManager;
import java.util.Properties;

import javax.swing.JFrame;
import javax.swing.LayoutFocusTraversalPolicy;

import org.underworldlabs.imagecropper.util.GUIUtilities;
import org.underworldlabs.imagecropper.util.SystemResources;
import org.underworldlabs.swing.CustomKeyboardFocusManager;
import org.underworldlabs.util.SystemProperties;

public class ImageCropper {
    
    private static JFrame frame;
    
    public ImageCropper() {
        
        SystemProperties.loadPropertiesResource(
                "system", "org/underworldlabs/imagecropper/system.properties");

        SystemProperties.loadPropertiesResource(
                "defaults", "org/underworldlabs/imagecropper/default.properties");

        // make sure the user props dir exists
        SystemResources.buildUserProperties();

        Properties defaults = SystemProperties.getProperties("defaults");
        SystemProperties.loadProperties(
                "user", SystemResources.getUserSettingsFilePath(), defaults);

        try {
            CustomKeyboardFocusManager keyBoardFocusManager =
                    new CustomKeyboardFocusManager();
            keyBoardFocusManager.setDefaultFocusTraversalPolicy(
                    new LayoutFocusTraversalPolicy());
            KeyboardFocusManager.setCurrentKeyboardFocusManager(keyBoardFocusManager);
        }
        catch (SecurityException e) {e.printStackTrace();}

        frame = new JFrame("Image Cropper");
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

        frame.setJMenuBar(new MainMenu());
        
        ImageCropperBasePanel panel = new ImageCropperBasePanel();
        new ImageCroppingController(panel);

        Container container = frame.getContentPane();
        container.setLayout(new BorderLayout());
        
        container.add(panel, BorderLayout.CENTER);
        container.add(GUIUtilities.getStatusBarPanel(), BorderLayout.SOUTH);

        frame.setSize(950, 750);
        frame.setVisible(true);
        
    }
    
    public static JFrame getApplicationFrame() {
        return frame;
    }

    public static void main(String[] args) {
        new ImageCropper();
    }
    
}

