package org.underworldlabs.imagecropper;

import java.awt.BorderLayout;
import java.awt.Dimension;

import javax.swing.BorderFactory;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JSplitPane;

import org.underworldlabs.imagecropper.util.GUIUtilities;
import org.underworldlabs.swing.FlatSplitPane;

public class ImageCropperBasePanel extends JPanel {
    
    private ImageViewBasePanel imageViewBasePanel;
    
    private DirectorySelectionPanel directorySelectionPanel;

    private ImageOptionsPanel imageOptionsPanel;

    public ImageCropperBasePanel() {

        super(new BorderLayout());
        init();
    }
    
    private void init() {

        directorySelectionPanel = new DirectorySelectionPanel();
        imageViewBasePanel = new ImageViewBasePanel();
        imageOptionsPanel = new ImageOptionsPanel();
        
        JScrollPane logScroller = new JScrollPane(GUIUtilities.getLogPane());
        logScroller.setPreferredSize(new Dimension(logScroller.getPreferredSize().width, 100));

        FlatSplitPane leftRightSplitPane = new FlatSplitPane(JSplitPane.HORIZONTAL_SPLIT);
        leftRightSplitPane.setDividerSize(4);
        leftRightSplitPane.setLeftComponent(imageOptionsPanel);
        leftRightSplitPane.setRightComponent(imageViewBasePanel);

        FlatSplitPane topBottomSplitPane = new FlatSplitPane(JSplitPane.VERTICAL_SPLIT);
        topBottomSplitPane.setDividerSize(4);
        topBottomSplitPane.setTopComponent(leftRightSplitPane);
        topBottomSplitPane.setBottomComponent(logScroller);
        topBottomSplitPane.setDividerLocation(0.4);
        topBottomSplitPane.setResizeWeight(1);

        setBorder(BorderFactory.createEmptyBorder(0,2,1,2));

        add(directorySelectionPanel, BorderLayout.NORTH);
        add(topBottomSplitPane, BorderLayout.CENTER);
        setPreferredSize(new Dimension(800, 400));
        
        setBorder(BorderFactory.createEmptyBorder(5, 5, 5, 5));
        
    }

    public ImageOptionsPanel getImageOptionsPanel() {
     
        return imageOptionsPanel;
    }
    
    public ImageViewBasePanel getImageViewBasePanel() {
     
        return imageViewBasePanel;
    }
    
    public DirectorySelectionPanel getDirectorySelectionPanel() {
     
        return directorySelectionPanel;
    }
    
}
