package org.underworldlabs.imagecropper;

import java.io.File;
import java.io.IOException;

import javax.imageio.ImageIO;
import javax.swing.ImageIcon;

public class ImageFile implements Comparable<ImageFile> {

    private File file;
    
    private ImageIcon image;
    
    public ImageFile(File file) {

        this.file = file;
    }

    public Long getSize() {

        return file.length();
    }
    
    public String getName() {
        
        return file.getName();
    }
    
    public int getHeight() {
        
        return getImage().getIconHeight();
    }
    
    public int getWidth() {
        
        return getImage().getIconWidth();
    }
    
    public String getAbsolutePath() {
        
        return getFile().getAbsolutePath();
    }
    
    public File getFile() {
     
        return file;
    }
    
    public ImageIcon getImage() {
        
        if (image == null) {
            
            try {

                image = new ImageIcon(ImageIO.read(file));

            } catch (IOException e) {

                e.printStackTrace();
            }

        }

        return image;
    }

    public void reset() {
        
        image = null;
    }
    
    @Override
    public int compareTo(ImageFile o) {

        return getName().toUpperCase().compareTo(o.getName().toUpperCase());
    }
    
}
