package org.underworldlabs.imagecropper;

import javax.swing.BorderFactory;
import javax.swing.JLabel;
import org.underworldlabs.swing.AbstractStatusBarPanel;
import org.underworldlabs.swing.IndeterminateProgressBar;

public class StatusBarPanel extends AbstractStatusBarPanel {

    private static final String EMPTY = "";

    private IndeterminateProgressBar progressBar;
    
    private static final int HEIGHT = 20;

    public StatusBarPanel() {

        super(HEIGHT);    

        setBorder(BorderFactory.createEmptyBorder(2,3,3,4));
        progressBar = new IndeterminateProgressBar(false);
        addLabel(0, 110, true);
        addLabel(1, 50, true);
        addLabel(2, 80, false);
        addComponent(progressBar, 3, 100, false);

        getLabel(2).setHorizontalAlignment(JLabel.CENTER);
    }
    
    public void setThirdLabelText(String text) {
        
        setLabelText(2, text);
    }
    
    public void setSecondLabelText(String text) {
        
        setLabelText(1, text);
    }
    
    public void setFirstLabelText(final String text) {
        
        setLabelText(0, text);
    }
    
    public void resetStatusBar() {
        
        setLabelText(0, EMPTY);
        setLabelText(1, EMPTY);
        setLabelText(2, EMPTY);
    }
    
    public void setFourthLabelText(String text) {
        
        setLabelText(3, text);
    }

    public void startProcessing() {

        progressBar.start();
    }

    public void stopProcessing() {

        progressBar.stop();
    }

}
